package com.yunzhi.niucai.alipay.vo;

import com.alibaba.fastjson.annotation.JSONField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;


@ApiModel(description = "支付宝下单参数")
@Data
@Accessors(chain = true)
public class PayParam {

    @ApiModelProperty("总金额, 单位元, 2位小数到分")
    @JSONField(name = "total_amount")
    private String totalAmount;

    @ApiModelProperty("商品的标题")
    @JSONField(name = "subject")
    private String subject;

    @ApiModelProperty("唯一订单号")
    @JSONField(name = "out_trade_no")
    private String outTradeNo;

    @ApiModelProperty("逾期时间 取值范围：5m～15d。m-分钟，h-小时，d-天")
    @JSONField(name = "timeout_express")
    private String timeoutExpress;
}
