package com.yunzhi.niucai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author yansen
 * @since 2020-09-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaAlipay对象", description="")
public class TaAlipay implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "alipay_id", type = IdType.AUTO)
    private Integer alipayId;

    @ApiModelProperty(value = "服务商应用id")
    private String appid;

    @ApiModelProperty(value = "应用私钥")
    private String merchantPrivateKey;

    @ApiModelProperty(value = "应用支付宝公钥")
    private String alipayPublicKey;


}
